﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace ContainerShip.Exceptions
{
    [Serializable] internal class ContainerShipNotFoundException : ApplicationException
    {
        public ContainerShipNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public ContainerShipNotFoundException() : base() { }
        public ContainerShipNotFoundException(string message) : base(message) { }
        public ContainerShipNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected ContainerShipNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}

